Ubuntu

synaptiks crashed with KeyError in __getitem__(): u'No such property: NAME'

Reported by Jonathan Trinham on 2011-03-18
68
This bug affects 13 people
Affects Status Importance Assigned to Milestone
synaptiks (Ubuntu)
Medium
Harald Sitter
Precise
Medium
Harald Sitter
Quantal
Medium
Harald Sitter
Raring
Medium
Harald Sitter
Saucy
Medium
Harald Sitter

Bug Description

[Impact]
When the option to disable the touchpad when a mouse is plugged in synaptiks crashes on plug events (including wakeup from sleep/hibernate). Leaving users unable to use this feature.

[Test Case]
* Start synaptiks
* Enable the option 'Automatically switch off touchpad, if a mouse is plugged'

[Regression Potential]
None. The code section in question currently crashes, at worst it continues to crash.

[Other Info]
Crash is prevented by using .get() rather than [] accessor and falling back to DEVNAME as possible replacement property.

--------

I'm not sure what caused this to happen.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: kde-config-touchpad 0.5.3-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.35-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
Architecture: i386
Date: Sat Mar 19 10:15:45 2011
ExecutablePath: /usr/bin/synaptiks
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InterpreterPath: /usr/bin/python2.7
ProcCmdline: /usr/bin/python /usr/bin/synaptiks -session 1015311014913f000130042368400000033260026_1300442803_528576
ProcEnviron:
 PATH=(custom, user)
 LANG=en_NZ.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/synaptiks', '-session', '1015311014913f000130042368400000033260026_1300442803_528576']
SourcePackage: synaptiks
Title: synaptiks crashed with KeyError in __getitem__(): u'No such property: NAME'
UpgradeStatus: Upgraded to natty on 2011-03-09 (9 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Jonathan Trinham (j-trinham) wrote :
tags: removed: need-duplicate-check
Felix Geyer (debfx) on 2011-03-23
visibility: private → public
Changed in synaptiks (Ubuntu):
status: New → Confirmed
Eddie Kane (eddiekane150) wrote :

This worked for me:

1. run synaptiks

2. make sure the box is not checked to 'automatically switch off, if a mouse is plugged'.

3. click 'apply'

4. click 'ok'

I

Eddie Kane (eddiekane150) wrote :

Update:

I rebooted computer and resumed my work and the mouse froze up again. I repeated the same steps I posted in #2 and the touchpad was working again. This is just going to take some sorting. Plugging in an external mouse and changing the same settings every time you start your computer does not constitute a proper workaround. These things must be tolerated with alpha code. This issue only began after:

 'gnome-settings-daemon crashed with signal 5 in _XReply()' Bug #907052

[note] also at the same time as touchpad bug my nautilus began to look different (and not in a good way), see attached screenshot:

Lisa Simpson (lisa-p) wrote :

I'm on Pangolin and it's happening to me. My only setting is to disable the touchpad while typing. My touch pad is located nearly where my writs are so I bump it frequently while typing. So I set it turn off when I'm typing. The downside is that my touch pad will disappear completely leaving me stuck trying to wrack my brain for keyboard shortcuts to get to the terminal to restart it :/

Changed in synaptiks (Ubuntu):
importance: Undecided → Medium
Theresa (theresa) wrote :

I think I have a similar problem:

a) synaptiks crashes at startup....touchpad is "frozen" for about 30 seconds or so...

b) when I run synaptiks manually in the terminal i get the following:
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/trayapplication.py", line 260, in newInstance
    self.icon.show_configuration_dialog()
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/trayapplication.py", line 241, in show_configuration_dialog
    self.touchpad, self.touchpad_manager, self._config)
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/trayapplication.py", line 74, in __init__
    self.touchpad_config, self)
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/widgets/touchpad.py", line 226, in __init__
    self._setup(self.touchpad_config)
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/widgets/config.py", line 97, in _setup
    self.load_configuration()
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/widgets/config.py", line 220, in load_configuration
    self._update_widgets_from_mapping(self.__config)
  File "/usr/lib/python2.7/dist-packages/synaptiks/kde/widgets/config.py", line 172, in _update_widgets_from_mapping
    value = mapping[config_key]
  File "/usr/lib/python2.7/dist-packages/synaptiks/config.py", line 248, in __getitem__
    value = getattr(self.touchpad, key)
  File "/usr/lib/python2.7/dist-packages/synaptiks/touchpad.py", line 106, in __get__
    values = obj[self.property_name]
  File "/usr/lib/python2.7/dist-packages/synaptiks/x11/input.py", line 552, in __getitem__
    atom = _get_property_atom(self.display, name)
  File "/usr/lib/python2.7/dist-packages/synaptiks/x11/input.py", line 180, in _get_property_atom
    raise UndefinedPropertyError(name)
synaptiks.x11.input.UndefinedPropertyError: u'Synaptics Tap FastTap'

what am I doing wrong here?

any idea? ;)

dror (dror-zapatec) wrote :

Just rebooted 12.10 and tapping on the pad stopped working. Ran into this.
Workaround for me
synclient TapButton1=1

Nick Leverton (nick-leverton) wrote :

I am experiencing this crash from synaptiks every time i close and reopen the laptop lid. Not even suspend/hibernation is required to trigger it: it just happens. Apport refuses to report it as it says this bug is duplicate and there are too many reports already.

It would be really nice to get this paper cut fixed. It has been a problem right through for the last year or more. Hopefully bumping it ...

Artúr Poór (gombocarti) wrote :

For me, it usually happens when I unplug the logitech unifying receiver. But after the crash it seems everything work and no further crash happens. I use kubuntu 12.04.2. I hope it helps.

Kevin Fleischer (t-contact) wrote :

I experience the same behaviour as #7.
When I put my laptop to sleep by closing the lid and I reopen it the next day, synaptiks will be crashed.

Changed in synaptiks (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
status: Confirmed → Triaged
Changed in synaptiks (Ubuntu Precise):
status: New → Triaged
Changed in synaptiks (Ubuntu Quantal):
status: New → Triaged
Changed in synaptiks (Ubuntu Raring):
status: New → Triaged
Changed in synaptiks (Ubuntu Saucy):
status: New → Triaged
Changed in synaptiks (Ubuntu Precise):
importance: Undecided → Medium
Changed in synaptiks (Ubuntu Quantal):
importance: Undecided → Medium
Changed in synaptiks (Ubuntu Raring):
importance: Undecided → Medium
Changed in synaptiks (Ubuntu Saucy):
importance: Undecided → Medium
Changed in synaptiks (Ubuntu Precise):
assignee: nobody → Harald Sitter (apachelogger)
Changed in synaptiks (Ubuntu Quantal):
assignee: nobody → Harald Sitter (apachelogger)
Changed in synaptiks (Ubuntu Raring):
assignee: nobody → Harald Sitter (apachelogger)
Changed in synaptiks (Ubuntu Saucy):
assignee: nobody → Harald Sitter (apachelogger)
description: updated
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package synaptiks - 0.8.1-1ubuntu6

---------------
synaptiks (0.8.1-1ubuntu6) trusty; urgency=low

  * Add kubuntu_fix_udev_property_access.patch to fix a crash when accessing
    the NAME property of mice (LP: #737856)
 -- Harald Sitter <email address hidden> Tue, 10 Dec 2013 15:25:25 +0100

Changed in synaptiks (Ubuntu):
status: Triaged → Fix Released

Hello Jonathan, or anyone else affected,

Accepted synaptiks into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/synaptiks/0.8.1-1ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in synaptiks (Ubuntu Saucy):
status: Triaged → Fix Committed
tags: added: verification-needed
Harald Sitter (apachelogger) wrote :

Still crashes with 4.1 on saucy https://errors.ubuntu.com/oops/31004e9e-629f-11e3-9c0c-e4115b0f8a4a

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/synaptiks/monitors/mouses.py", line 124, in _handle_udev_event
    if signal and _is_mouse(device):
  File "/usr/lib/python2.7/dist-packages/synaptiks/monitors/mouses.py", line 77, in from_udev
    name = device.parent.get('NAME', device.parent.get('DEVNAME')).strip('"')
  File "/usr/lib/python2.7/dist-packages/pyudev/device.py", line 831, in __getitem__
    raise KeyError(property)
KeyError: u'ID_SERIAL'

tags: added: verification-failed
removed: verification-needed
Harald Sitter (apachelogger) wrote :

Actually that is a crash in ID_SERIAL which is equally silly, however not the same crash.

tags: added: verification-needed
removed: verification-failed
Brian Murray (brian-murray) wrote :

Hello Jonathan, or anyone else affected,

Accepted synaptiks into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/synaptiks/0.8.1-1ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in synaptiks (Ubuntu Raring):
status: Triaged → Fix Committed
Changed in synaptiks (Ubuntu Quantal):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Jonathan, or anyone else affected,

Accepted synaptiks into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/synaptiks/0.8.1-1ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in synaptiks (Ubuntu Precise):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Jonathan, or anyone else affected,

Accepted synaptiks into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/synaptiks/0.8.1-1ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Michał Zając (quintasan) wrote :

kde-config-touchpad 0.8.1-1ubuntu3.2 on raring fixes this for me (Lenovo ThinkPad T430)

tags: added: verification-done
removed: verification-needed
Harald Sitter (apachelogger) wrote :

Also no crashes regarding the NAME property on errors.ubuntu thus far.

tags: added: verification-done-raring verification-needed
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package synaptiks - 0.8.1-1ubuntu3.2

---------------
synaptiks (0.8.1-1ubuntu3.2) raring; urgency=low

  * Add kubuntu_fix_udev_property_access.patch to fix a crash when accessing
    the NAME property of mice (LP: #737856)
 -- Harald Sitter <email address hidden> Tue, 10 Dec 2013 15:28:24 +0100

Changed in synaptiks (Ubuntu Raring):
status: Fix Committed → Fix Released
Brian Murray (brian-murray) wrote :

The bucket in errors.ubuntu.com for this bug (https://errors.ubuntu.com/bucket/?id=/usr/bin/synaptiks:KeyError:_handle_udev_event:from_udev:__getitem__) continues to receive reports at a regular rate, however there are no instances from the package versions found in -proposed. I think that is enough information to consider this bug verification done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package synaptiks - 0.8.1-1ubuntu4.1

---------------
synaptiks (0.8.1-1ubuntu4.1) saucy; urgency=low

  * Add kubuntu_fix_udev_property_access.patch to fix a crash when accessing
    the NAME property of mice (LP: #737856)
 -- Harald Sitter <email address hidden> Tue, 10 Dec 2013 15:27:48 +0100

Changed in synaptiks (Ubuntu Saucy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for synaptiks has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package synaptiks - 0.8.1-1ubuntu2.1

---------------
synaptiks (0.8.1-1ubuntu2.1) quantal; urgency=low

  * Add kubuntu_fix_udev_property_access.patch to fix a crash when accessing
    the NAME property of mice (LP: #737856)
 -- Harald Sitter <email address hidden> Tue, 10 Dec 2013 15:28:47 +0100

Changed in synaptiks (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package synaptiks - 0.8.1-1ubuntu1.2

---------------
synaptiks (0.8.1-1ubuntu1.2) precise; urgency=low

  * Add kubuntu_fix_udev_property_access.patch to fix a crash when accessing
    the NAME property of mice (LP: #737856)
 -- Harald Sitter <email address hidden> Tue, 10 Dec 2013 15:29:20 +0100

Changed in synaptiks (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers